import request from "./request";

//请求个人日志列表
export async function queryDaily() {
  return await request("v2/approval/log-own/list", "GET");
}
// 查询用户列表
export async function queryUserList() {
  return await request("v2/user", "GET");
}
// 请求项目日志列表
export async function queryProjectDaily(params) {
  return await request(`v2/approval/log-projects/${params.project_id}`, "GET", params);
}
export async function queryProjectList() {
  return await request("v2/approval/list/simple", "GET");
}
export async function createDaily(data) {
  return await request("v2/approval/log", "POST", data);
}
//请求个人日志详情
export async function approvalLogDaily(data) {
  return await request(`v2/approval/log/${data.id}`, "GET", data);
}
//删除个人日志详情
export async function approvalDelLog(id) {
  return await request(`v2/approval/log/${id}`, "DELETE");
}
//编辑个人日志详情
export async function approvalEditLog(data) {
  return await request(`v2/approval/log/${data.log_id}`, "PUT", data.formData);
}
